set default email
1 min
POST
https://api.upstartcommerce.com/v1/customer/{customerId}/emails/default/{label}
customerIdstringUnique identifier for the consumer that the call should be interacting with.
labelstringA key that can be used to reference a given item in a map of values.
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
200<p>Success-email address set to default.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
403<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>
curl --request POST \
--url https://api.upstartcommerce.com/v1/customer/{customerId}/emails/default/{label} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'